RSS   Vulnerabilities for 'Yard radius'   RSS

2013-08-09
 
CVE-2013-4147

CWE-134
 

 
Multiple format string vulnerabilities in Yet Another Radius Daemon (YARD RADIUS) 1.1.2 allow context-dependent attackers to cause a denial of service (crash) or possibly execute arbitrary code via format string specifiers in a request in the (1) log_msg function in log.c or (2) version or (3) build_version function in version.c.

 
2005-01-10
 
CVE-2004-0987

CWE-Other
 

 
Buffer overflow in the process_menu function in yardradius 1.0.20 allows remote attackers to execute arbitrary code.

 
2002-03-04
 
CVE-2001-1377

CWE-Other
 

 
Multiple RADIUS implementations do not properly validate the Vendor-Length of the Vendor-Specific attribute, which allows remote attackers to cause a denial of service (crash) via a Vendor-Length that is less than 2.

 
 
CVE-2001-1376

CWE-Other
 

 
Buffer overflow in digest calculation function of multiple RADIUS implementations allows remote attackers to cause a denial of service and possibly execute arbitrary code via shared secret data.

 


Copyright 2022, cxsecurity.com

 

Back to Top